aboutsummaryrefslogtreecommitdiffstats
path: root/tests/files/ansible/test-files/testrunner.sh
diff options
context:
space:
mode:
authorTaylor Gerring <taylor.gerring@gmail.com>2015-02-11 18:40:12 +0800
committerTaylor Gerring <taylor.gerring@gmail.com>2015-02-11 18:40:12 +0800
commitcfddb7f3cd3b8cecb1e59412ce4db5769f6c8007 (patch)
treeab28c518bd1b78f6b8ac8b241951ad161cb268a9 /tests/files/ansible/test-files/testrunner.sh
parent21fd31dad8bc6e0291ca405314b516670333c707 (diff)
parentc6af5f0a275608ea6c797ef826e6090885f24eac (diff)
downloaddexon-cfddb7f3cd3b8cecb1e59412ce4db5769f6c8007.tar
dexon-cfddb7f3cd3b8cecb1e59412ce4db5769f6c8007.tar.gz
dexon-cfddb7f3cd3b8cecb1e59412ce4db5769f6c8007.tar.bz2
dexon-cfddb7f3cd3b8cecb1e59412ce4db5769f6c8007.tar.lz
dexon-cfddb7f3cd3b8cecb1e59412ce4db5769f6c8007.tar.xz
dexon-cfddb7f3cd3b8cecb1e59412ce4db5769f6c8007.tar.zst
dexon-cfddb7f3cd3b8cecb1e59412ce4db5769f6c8007.zip
Merge branch 'develop' into jsonrpc
Conflicts: rpc/ws/server.go
Diffstat (limited to 'tests/files/ansible/test-files/testrunner.sh')
-rwxr-xr-xtests/files/ansible/test-files/testrunner.sh87
1 files changed, 43 insertions, 44 deletions
diff --git a/tests/files/ansible/test-files/testrunner.sh b/tests/files/ansible/test-files/testrunner.sh
index 2c9608dd4..5d7779109 100755
--- a/tests/files/ansible/test-files/testrunner.sh
+++ b/tests/files/ansible/test-files/testrunner.sh
@@ -2,55 +2,54 @@
# create random virtual machine test
#cd ~/software/Ethereum/pyethereum (python has local dependencies so only works from within the directory)
+cd ~
while [ 1 ]
do
- TEST="$(docker run --rm cpp)"
+ TEST="$(docker run --rm --entrypoint="/cpp-ethereum/build/test/createRandomTest" cppjit)"
# echo "$TEST"
-
- # test pyethereum
- #OUTPUT_PYTHON="$(python ./tests/test_vm.py "$TEST")"
- #RESULT_PYTHON=$?
+ # test pyethereum
+ #OUTPUT_PYTHON="$(python ./tests/test_vm.py "$TEST")"
+ #RESULT_PYTHON=$?
# test go
- OUTPUT_GO="$(docker run --rm go "$TEST")"
- RESULT_GO=$?
-
+ OUTPUT_GO="$(docker run --rm go "$TEST")"
+ RESULT_GO=$?
+
# test cpp-jit
- #OUTPUT_CPPJIT="$(~/software/Ethereum/cpp-ethereum/build/test/checkRandomTest "$TEST")"
- #RESULT_CPPJIT=$?
-
-# go fails
-if [ "$RESULT_GO" -ne 0 ]; then
- echo Failed:
- echo Output_GO:
- echo $OUTPUT_GO
- echo Test:
- echo "$TEST"
- echo "$TEST" > FailedTest.json
- mv FailedTest.json $(date -d "today" +"%Y%m%d%H%M")GO.json # replace with scp to central server
-fi
-
-# python fails
-#if [ "$RESULT_PYTHON" -ne 0 ]; then
-# echo Failed:
-# echo Output_PYTHON:
-# echo $OUTPUT_PYTHON
-# echo Test:
-# echo "$TEST"
-# echo "$TEST" > FailedTest.json
-# mv FailedTest.json $(date -d "today" +"%Y%m%d%H%M")PYTHON.json
-#fi
-
-# cppjit fails
-#if [ "$RESULT_CPPJIT" -ne 0 ]; then
-# echo Failed:
-# echo Output_CPPJIT:
-# echo $OUTPUT_CPPJIT
-# echo Test:
-# echo "$TEST"
-# echo "$TEST" > FailedTest.json
-# mv FailedTest.json $(date -d "today" +"%Y%m%d%H%M")CPPJIT.json
-#fi
+ OUTPUT_CPPJIT="$(docker run --rm cppjit "$TEST")"
+ RESULT_CPPJIT=$?
+
+ # go fails
+ if [ "$RESULT_GO" -ne 0 ]; then
+ echo Failed:
+ echo Output_GO:
+ echo $OUTPUT_GO
+ echo Test:
+ echo "$TEST"
+ echo "$TEST" > FailedTest.json
+ mv FailedTest.json $(date -d "today" +"%Y%m%d%H%M")GO.json # replace with scp to central server
+ fi
+
+ # python fails
+ #if [ "$RESULT_PYTHON" -ne 0 ]; then
+ # echo Failed:
+ # echo Output_PYTHON:
+ # echo $OUTPUT_PYTHON
+ # echo Test:
+ # echo "$TEST"
+ # echo "$TEST" > FailedTest.json
+ # mv FailedTest.json $(date -d "today" +"%Y%m%d%H%M")PYTHON.json
+ #fi
+
+ # cppjit fails
+ if [ "$RESULT_CPPJIT" -ne 0 ]; then
+ echo Failed:
+ echo Output_CPPJIT:
+ echo $OUTPUT_CPPJIT
+ echo Test:
+ echo "$TEST"
+ echo "$TEST" > FailedTest.json
+ mv FailedTest.json $(date -d "today" +"%Y%m%d%H%M")CPPJIT.json
+ fi
done
-